
Smart Proxy - Bug #2261

Test run issues with Jenkins under Ruby 1.9

02/27/2013 09:16 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Similar to #2256, but for the proxy the following is needed:

Jenkins rake tasks need to support minitest for Ruby 1.9

Fix settings loading under 1.9 (PLATFORM constant)

Specify rdoc and minitest in test bundler group to fix old versions on Ruby 1.9.2

util which tests should test for 1.9 and not 1.9.3 specifically

Associated revisions

Revision 0acfdc97 - 03/04/2013 02:45 AM - Dominic Cleal

fixes #2261 - fixes for CI testing under Ruby 1.9

Support minitest in Jenkins rake tasks, add rdoc and minitest deps due to

old 1.9.2 versions.  Fix PLATFORM under 1.9, fix 1.9.3 specific test.

History

#1 - 02/27/2013 09:22 AM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/65

#2 - 03/04/2013 03:02 AM - Ohad Levy

- Target version set to 26

#3 - 03/04/2013 07:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0acfdc978975405c2c09c3cfad063403ed21557d.

#4 - 05/10/2013 09:04 AM - Dominic Cleal

- Target version changed from 26 to 1.2.0

#5 - 07/10/2018 02:45 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
